varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

uniform sampler2D s_texture;
uniform mediump float u_time;
uniform mediump vec4 u_light;

void main() 
{ 	
	mediump vec4 texc = texture2D(s_texture, m_texCoord);
	
	mediump vec3 normt = 2.0 * texc.rgb - 1.0;
	
	mediump vec3 lpos = vec3(sin(u_time*0.4)*1.5, -cos(u_time*0.4)*1.0, 1.0) + 0.5;
	
	mediump vec3 pos = vec3(m_texCoord.x, m_texCoord.y, 0.0);
	
	mediump vec3 dvec = lpos - pos;
		
	mediump float dist = (1.0/(((dvec.x*dvec.x + dvec.y*dvec.y)))) * (1.0 + sin(u_time*1.2)*0.4);

	// dvec.rgb = 1.0 - dvec.bgr;
	mediump vec3 light = normalize(dvec);

	mediump float specular = pow(dot(light*dist, normt*2.0), 1.2); // *15.0);
	
	
	mediump vec4 c0 = vec4(0.2, 0.15, 0.10, 1.0) * m_color;
	c0 *= (specular);
	// c0.a = texc.a;
	
	gl_FragColor = c0; 
}
