varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;
varying mediump vec2 m_maskTexCoord;

uniform sampler2D s_texture;
uniform sampler2D s_mask_texture;

void main() 
{ 	
	mediump vec4 maskc = texture2D(s_mask_texture, m_maskTexCoord);
	mediump vec4 texc = texture2D(s_texture, m_texCoord );
	
	texc.rgb = texc.rgb*texc.a + (1.0-texc.a);
	texc.a = 1.0;	
	
	mediump vec4 c2 = texc * maskc.a; //  * m_color;
	c2.rgb += (m_color.rgb-0.5);
	c2.rgb += (maskc.r-0.5)*2.0;
		
	gl_FragColor = c2;
}
